Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728234 - kde-apps/marble-20.04.2: MarbleLegendBrowser.cpp:28:10: fatal error: QWebChannel: No such file or directory
Summary: kde-apps/marble-20.04.2: MarbleLegendBrowser.cpp:28:10: fatal error: QWebChan...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://invent.kde.org/education/marb...
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks:
 
Reported: 2020-06-14 14:17 UTC by Jérôme Borme
Modified: 2020-06-15 10:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (kde-apps:marble-20.04.2:20200614-121831.log.xz,23.37 KB, application/x-xz)
2020-06-14 14:19 UTC, Jérôme Borme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme Borme 2020-06-14 14:17:55 UTC
[ebuild     U ] kde-apps/marble-20.04.2 [20.04.1] USE="dbus geolocation kde nls phonon webengine -aprs -debug -designer -gps -handbook -shapefile -test" 

QtWebChannel is not listed as a dependency of marble-20.04.2 in the ebuild
QtWebChannel is not looked for or detected by the build system.

QtWebChannel is installed on this system (as a dependency by qtwebengine)

Error message:

/var/tmp/portage/kde-apps/marble-20.04.2/work/marble-20.04.2/src/lib/marble/MarbleLegendBrowser.cpp:28:10: fatal error: QWebChannel: No such file or directory
28 | #include <QWebChannel>
|          ^~~~~~~~~~~~~


Reproducible: Always




Portage 2.3.99 (python 3.7.7-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-10.1.0, glibc-2.30-r8, 5.7.1-gentoo-x86_64 x86_64)
=================================================================
System uname: Linux-5.7.1-gentoo-x86_64-x86_64-AMD_Ryzen_9_3950X_16-Core_Processor-with-gentoo-2.6
KiB Mem:   131898992 total, 108120264 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 14 Jun 2020 11:30:01 +0000
Head commit of repository gentoo: ebb3f3e5b75db303953c6e5ea609a7f066ef0507
Head commit of repository science: 7ae9a466035dd80007f1a5f69f3af01199c087cf

sh bash 5.0_p17
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18::gentoo, 3.6.10-r2::gentoo, 3.7.7-r2::gentoo, 3.8.2-r2::gentoo
dev-util/cmake:           3.16.5::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            8.4.0::gentoo, 9.2.0-r4::gentoo, 10.1.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r8::gentoo
Repositories:

gentoo
    location: /tmp/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: --quiet --times --omit-dir-times --omit-link-times

localrepo
    location: /var/db/repos/localrepo
    masters: gentoo

science
    location: /var/db/repos/science
    sync-type: git
    sync-uri: git://git.gentoo.org/proj/sci.git
    masters: gentoo

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

palemoon
    location: /var/lib/layman/palemoon
    masters: gentoo
    priority: 50

pf4public
    location: /var/lib/layman/pf4public
    masters: gentoo
    priority: 50

stuff
    location: /var/lib/layman/stuff
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/tmp/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --keep-going --jobs 10 --load-average 30"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=native"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native"
GENTOO_MIRRORS="ftp://ftp.rnl.tecnico.ulisboa.pt/pub/gentoo/gentoo-distfiles/ ftp://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j16"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--quiet --times --omit-dir-times --omit-link-times"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb branding bzip2 cairo cdda cdr cdrom cli crypt cuda cups dbus declarative dri dropbox dts dvd dvdr elogind emboss encode exif ffmpeg flac fortran gdbm gif gmp gpm gtk iconv icu ipv6 jpeg kde kipi lcms ldap libnotify libtirpc mad mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp opus pam pango pcre pdf phonon plasma png policykit ppds qml qt5 readline sdl seccomp spell split-usr ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vim-syntax vorbis widgets wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput" KERNEL="linux" L10N="fr fr-FR" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="fbdev vesa dummy nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 1 Jérôme Borme 2020-06-14 14:19:02 UTC
Created attachment 644636 [details]
build.log
Comment 2 Jérôme Borme 2020-06-14 19:15:25 UTC
The problem appeared at minor upgrade between 20.04.1 and 20.04.2, but a major change in the meantime was my system upgrade to qt-5.15
Comment 3 Andreas Sturmlechner gentoo-dev 2020-06-15 09:37:42 UTC
Thanks for your report! Not that I am able to reproduce this build error, but the dependency is definitely missing.
Comment 4 Larry the Git Cow gentoo-dev 2020-06-15 10:18:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09a05accbcf6dd2dee97f50fa05559aeebe6dd68

commit 09a05accbcf6dd2dee97f50fa05559aeebe6dd68
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-15 10:10:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-15 10:18:41 +0000

    kde-apps/marble: Add missing DEPEND
    
    Filed upstream: https://invent.kde.org/education/marble/-/merge_requests/1
    
    Reported-by: Jérôme Borme <jerome.borme@laposte.net>
    Closes: https://bugs.gentoo.org/728234
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../marble/files/marble-20.04.2-missing-dep.patch  |  43 +++++++++
 kde-apps/marble/marble-20.04.2-r1.ebuild           | 101 +++++++++++++++++++++
 2 files changed, 144 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2020-06-15 10:35:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=72cf3344abe37feb6bbc473864a069e7f79036f9

commit 72cf3344abe37feb6bbc473864a069e7f79036f9
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-15 10:10:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-15 10:21:40 +0000

    kde-apps/marble: Add missing DEPEND
    
    Filed upstream: https://invent.kde.org/education/marble/-/merge_requests/1
    
    Reported-by: Jérôme Borme <jerome.borme@laposte.net>
    Closes: https://bugs.gentoo.org/728234
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/marble/marble-20.04.49.9999.ebuild | 5 ++++-
 kde-apps/marble/marble-9999.ebuild          | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)